[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListEditor.OnStringsChanging

Event handler signalled prior to updating the Strings property.

## Declaration

Source position: valedit.pas line 319

`published property TValueListEditor.OnStringsChanging : TNotifyEvent read FOnStringsChanging write FOnStringsChanging;`

## Description

OnStringsChanging is a TNotifyEvent property with the event handler signalled prior to updating values in the Strings property. Applications can assign a procedure to the event handler to respond to the event notification.

OnStringsChanging is triggered in the StringsChanging method.

Use OnStringsChange to perform actions needed after values are updated in Strings.

## See also

TValueListEditor.Strings |  | Stores the keys, values, and item definitions in the control.
TValueListEditor.OnStringsChange |  | Event handler signalled when values in the Strings property are changed.